Cancel a pending publish or visibility request

View as Markdown
Cancel a pending publish or visibility change for this demo. Use if you need to cancel a request that is pending. This will allow you to resubmit the request if desired. Returns **400** when there is nothing pending to cancel. Returns **409** when cancel would conflict with the demo's current publishing workflow (for example while catalog or related publishing steps are still in flight). **Required scopes (any one):** - `air:marketplace_demo_write` (roles: `air_demo_manager`, `air_org_admin`, `air_user`) - `air:marketplace_demo_publish` (roles: `air_demo_manager`) **Additional permissions:** - Only members of the owning organization, Air admins, or SREs may perform this action on this marketplace demo.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this marketplace demo.

Response

idstringRead-onlyformat: "uuid"
createddatetimeRead-only
modifieddatetimeRead-only
namestring<=96 characters
The name of the marketplace demo.
creatorstringRead-only

E-mail of the creator of the marketplace demo.

documentationstring or nullRead-only
The raw markdown documentation for the marketplace demo.
tagslist of stringsRead-only
Names of the tags of the marketplace demo.
publishedbooleanRead-only
Whether the marketplace demo is published.
publicly_publishedbooleanRead-only

Whether the marketplace demo is visible to the entire catalog (true only when the demo is in the published catalog AND its publish access record is set to public).

publish_access_record_idstring or nullRead-only

The id of the marketplace demo publish access record. Returned only to the owning organization, Air admins, and SREs; null otherwise.

provision_countintegerRead-only

Number of times a clone has been provisioned from this marketplace demo (counted when the provision request creates the clone; not decremented if that clone later fails to boot).

demostringformat: "uuid"
Demo simulation to be used as a base for cloned simulations.
demo_simulation_statestringRead-only

The state of the simulation instance associated with this demo which acts as the template for all provisioned simulations from this demo. If the demo was successfully created, this value will be DEMO or CLONING.

expected_resource_usageobject
The expected resource usage for the marketplace demo.
descriptionstring or nullOptional<=256 characters
Description of the marketplace demo.
repostring or nullOptionalformat: "uri"<=200 characters
The code repository of the marketplace demo.
publisherstringOptional<=32 characters

The name of the company or organization the marketplace demo is published under (e.g. NVIDIA, Google). Required before a marketplace demo can be published.

featuredbooleanOptional
Whether the marketplace demo is featured. This can be used to help order a group of marketplace demos before others.
orderinteger or nullOptional1-32767
A field used to help order specific marketplace demos before or after other specific marketplace demos.
iconstring or nullOptional<=1048576 characters

Public URL of the marketplace demo icon stored in the publicly-accessible bucket. Legacy rows may still contain raw icon data in data URL format until the icon is next updated.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error